Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 528440 (CVE-2014-7823) - <app-emulation/libvirt-1.2.9-r2: dumpxml: information leak with migratable flag (CVE-2014-7823)
Summary: <app-emulation/libvirt-1.2.9-r2: dumpxml: information leak with migratable fl...
Status: RESOLVED FIXED
Alias: CVE-2014-7823
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B4 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-06 13:55 UTC by Agostino Sarubbo
Modified: 2014-12-08 23:49 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-11-06 13:55:37 UTC
From ${URL} :

In at least the qemu implementation of virDomainGetXMLDesc, the use
of the flag VIR_DOMAIN_XML_MIGRATABLE (which is usable from a
read-only connection) triggers the implicit use of
VIR_DOMAIN_XML_SECURE prior to calling qemuDomainFormatXML.
However, the use of VIR_DOMAIN_XML_SECURE is supposed to be restricted
to read-write clients only.  

A remote attacker able to establish a read-only connection to libvirtd
could use this flaw to cause leak certain limited information from the
domain xml file.

Reference:
https://www.redhat.com/archives/libvir-list/2014-November/msg00114.html


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Matthias Maier gentoo-dev 2014-11-06 22:44:02 UTC
*libvirt-1.2.10 (06 Nov 2014)
*libvirt-1.2.9-r2 (06 Nov 2014)

  06 Nov 2014; Matthias Maier <tamiko@gentoo.org>
  +files/libvirt-1.2.10-cve-2014-7823.patch,
  +files/libvirt-1.2.9-cve-2014-7823.patch, +libvirt-1.2.10.ebuild,
  +libvirt-1.2.9-r2.ebuild, -libvirt-1.2.9-r1.ebuild, libvirt-9999.ebuild:
  version bump wrt bug #528300, backport fix for CVE-2014-7823 wrt bug #528440,
  drop vulnerable


Vulnerable version in tree: 1.2.9
Patched/unaffected: 1.2.9-r2, 1.2.10, 9999


Arches, please mark stable app-emulation/libvirt-1.2.9-r2

Target keywords: amd64 x86
Comment 2 Agostino Sarubbo gentoo-dev 2014-11-08 18:09:11 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2014-11-08 18:10:35 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 4 Matthias Maier gentoo-dev 2014-11-08 18:26:04 UTC
  08 Nov 2014; Matthias Maier <tamiko@gentoo.org> -libvirt-1.2.9.ebuild:
  drop vulnerable wrt bug #528440
Comment 5 Kristian Fiskerstrand gentoo-dev Security 2014-12-08 23:21:35 UTC
Added to existing GLSA draft
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2014-12-08 23:49:00 UTC
This issue was resolved and addressed in
 GLSA 201412-04 at http://security.gentoo.org/glsa/glsa-201412-04.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).